#include "uart.h"

void uart_putstr(unsigned char* x)	{while(*x){uart_putbyte(*x++);}};
void uart_putstr_P(unsigned char* x) 	{while(pgm_read_byte(x)){uart_putbyte(pgm_read_byte(x));x++;}};
void uart_putdig(unsigned char x)	{if (x<10){uart_putbyte(x+'0');}else{uart_putbyte(x+'A'-10);}}

void uart_putchar(unsigned char x)
{
unsigned char a;
		a=(x>>4)&0x0F; uart_putdig(a);
		a=(x)&0x0F; uart_putdig(a);
};

void uart_putint(unsigned int x)
{
unsigned char a;
		a=(x>>12)&0x0F; uart_putdig(a);
		a=(x>>8)&0x0F; uart_putdig(a);
		a=(x>>4)&0x0F; uart_putdig(a);
		a=(x)&0x0F; uart_putdig(a);
};

void uart_putlong(unsigned long x)
{
unsigned char a;
		a=(x>>28)&0x0F; uart_putdig(a);
		a=(x>>24)&0x0F; uart_putdig(a);
		a=(x>>20)&0x0F; uart_putdig(a);
		a=(x>>16)&0x0F; uart_putdig(a);
		a=(x>>12)&0x0F; uart_putdig(a);
		a=(x>>8)&0x0F; uart_putdig(a);
		a=(x>>4)&0x0F; uart_putdig(a);
		a=(x)&0x0F; uart_putdig(a);
};
