#include <avr/io.h>
#include <avr/pgmspace.h>

#define uart_received()	 (UCSR0A&0x80)
#define uart_getbyte()	 (UDR0)
#define uart_putbyte(x)	 {while(!(UCSR0A & 0x20)); UDR0=x;}

void uart_putstr(unsigned char* x);
void uart_putstr_P(unsigned char* x);
void uart_putdig(unsigned char x);
void uart_putchar(unsigned char x);
void uart_putint(unsigned int x);
void uart_putlong(unsigned long x);
